AutoCAD Inventor :: ILogic To Change View Representation In Part File

Apr 16, 2012

How to change the view rep in an assembly

(using oAsmCompDef.RepresentationsManager.DesignViewRepresentations.Item("Red").activate) -

However I am trying to achieve the same with iLogic in a part file (multi-solid).

View 2 Replies


ADVERTISEMENT

AutoCAD Inventor :: ILogic For View Representation Of Part File (in Assembly)

Apr 17, 2012

I have received a great solution from Bobvdd allowing ilogic control of the view rep in a part file (not an assembly file). The code below works brilliantly when the part file is the active document. However when the part is placed in an assembly and the ilogic is run with the assembly active, the code produces no result. How to modify the top 6 lines of code?

Dim oApp As Inventor.Application
oApp = ThisApplication
Dim oDoc As Document

[Code]....

View 2 Replies View Related

AutoCAD Inventor :: Multibody Part View Representation?

Sep 11, 2013

For some multibody parts I use view representation in order to show for example one or more bodies only. For that I  lock the view  representation. Usually I have more than 3 of them. The part can have different configurations. The problem is that when a new solid is made, it will be visible in the locked view representations also. I thought the lock option should work in the same way like for assemblies, because if you lock the view in an assembly new parts wont be visible.

AIP 2014
Windows 7 x64
Dell Precision T7400 Intel(R) Xeon(R) CPU X5472 @ 3.00GHz (4 CPU's), 8Gb RAM, NVIDIA Quadro FX 5600 1536MB GDDR3

View 5 Replies View Related

AutoCAD Inventor :: How To Set Representation View For Part In Drawing

Oct 13, 2013

If you've had to use  different design view representation of the same PART on a drawing in multiple Views at the same time, you already know that whenever you suppress completly a feature, the representation loose the condition stated in the model view and if the suppressed feature is reactivated, it then appear in all view. You have to right-click on the view and select "Apply design View" to reset it, or re-select the design view representation in "Edit view".

Recently I faced a case where i had to build a iLogic multi-body part representing a crate made of either sheet or bar, with a removable top and variable solid for top, sidewall and base, driven trought a in-drawing form! Reason being the customer wanted a easy, useable model for the shipping clerk to generate a custom crate drawing for the crate contractor, therefore freeing precious time for the drafting departement. Usually I would have used occurence visibillity from a assembly, but the document management part of the deal, was too much for the computer illiterate user... So, off i went creating a multi-body part, only to face the aforemention problem with view changing representation due to complete solid suppression.

So here's How-to Set representation view for part in drawing:

The trick is to set every view to it's representation by using the edit window interface code.

The iLogic line to set a View to a specific Design View Representation:

ActiveSheet.View("1").View.SetDesignViewRepresentation("View5", False)ActiveSheet.View("1").View.IsRasterView = FalseThisApplication.ActiveView.Update()

 I use this code in "IF" statement. You must repete the code for each view, removing the "Raster" line force a raster only reaction on the view, and the update must be placed after each view, otherwise it only update the last one.

Example:
If TYPE_COUVERCLE = "AUCUN" Then

ActiveSheet.View("2").View.Suppressed = TrueActiveSheet.View("1").View.SetDesignViewRepresentation("View5", False)ActiveSheet.View("1").View.IsRasterView = FalseThisApplication.ActiveView.Update()ActiveSheet.View("3").View.SetDesignViewRepresentation("View2", False)ActiveSheet.View("3").View.IsRasterView = FalseThisApplication.ActiveView.Update()ActiveSheet.View("4").View.SetDesignViewRepresentation("View1", False)ActiveSheet.View("4").View.IsRasterView = FalseThisApplication.ActiveView.Update()
Else If TYPE_COUVERCLE = "CONTREPLAQUÉ" Then

[Code]...

I'm telling the model that the disapearing element "TYPE_COUVERCLE" is driving the representation, only when it change does it fix the view, regenerating or changing the Design View Representation (the TYPE_SIDE and TYPE_BOTTOM are always active or always suppressed in their respectives views, therefore not influencing their respective appearance in other view). If you had multiple dissapearing solid or feature you would have to build a similar code for every one of them...

View 1 Replies View Related

AutoCAD Inventor :: How To Change Representation In New View

Nov 2, 2011

So after creating a bunch of assemblies with associated presentation and drawing files I was told that each assembly needs multiple representations for different part colors. I would like to be able to change the representation view of my assembly (i.e. from 'Master' to 'Black') in the presentation file I've already made and have the colors update here and in the associated drawing files.

PS - I do know how to change the representation in a new view. So...hindsight 20/20.

View 7 Replies View Related

AutoCAD Inventor :: Design View Representation Change Crash?

Oct 19, 2011

I have a main assembly with two major subassemblies with one of them I want the representations to be set as Defualt instead of master but when I do this and change the size of my parts Inventor crashes, if I leave it set to master it works fine but parts with visibility turned off still show in the iam and dwg files. If I try to change the representation after changing dimensions Inventor also crashes. I can individually open the sub assemblies and everything works fine.

View 1 Replies View Related

AutoCAD Inventor :: Design View Representation - IPT File

Apr 7, 2013

I saved correctly in the file .ipt the view representation of a very simple part.

One is the view form the top and the other one is the view from the bottom.

When I try to put these two different views into the drawing, the view is the same, and it depends what is selected on the right of the windows.

View 4 Replies View Related

AutoCAD Inventor :: ILogic Rule For Each Part In Assembly To Change Part Parameter

Apr 1, 2013

I`m looking for the iLogic code that can change one parameter (user defined) for each (ipt) part in assembly (iam)

The one below doesn`t work.

Sub Main Dim oApp As Inventor.Application = ThisApplication Dim oAssy As Inventor.AssemblyDocument = oApp.ActiveDocument For Each oSubDoc as Inventor.Document In oAssy.AllReferencedDocuments On Error Resume Next Parameter(oSubDoc, "FH") = 15.26 Next End Sub

View 5 Replies View Related

AutoCAD Inventor :: Change Part By ILogic In Assembly?

Jul 25, 2012

Before using iLogic, I created lot of iAssembly and iPart. I could change iPart factory member when I need in iAssembly.Now, I want to move everything to iLogic.

how could I change the part by iLogic code?

For example:

I generated "Part1.ipt" and "Part2.ipt",...... (I have hundred of member)

In my assembly, sometimes, I need use Part1.ipt, sometimes I need use Part2.ipt.

Which is the iLogic Code I should to use?

Inventor 2009, WIN XP.
Autodesk Inventor Professional 2013 (64 Bit) SP2
Windows 7 Professional Service Pack 1
Intel(R) Xeon(R) CPU E5645
12.0 GB Memory

View 9 Replies View Related

AutoCAD Inventor :: Change LOD In Derived Part Through ILogic

Jan 27, 2013

I got this code earlier from Curtis_Waguespack, and i would like to add a setting... When i run this rule it Derives the assembly, but LOD is set to Master, i would like it to be set to my own (Configurator) LOD...

I don't seem to be able to find anything in this code, that defines LOD... 

So far im doing ok with the standard ilogic code, but when it´s API or VBA code im lost..  which leads me to this.. i've been searching the forum back and forth to find a code that performs the feature "Shrinkwrap", and somehow everything i have found so far does not work... even the code example in Inventors help menu under programming, Therefore im trying to solve this with Curtis's code as staring point.. 

'set a reference to the assembly component definintion.'this assumes an assembly document is open.Dim oAsmCompDef As AssemblyComponentDefinitionoAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition 'define the path and file nameDim sPathandName As StringsPathandName = ThisDoc.PathAndFileName(False)

[Code] .......

View 9 Replies View Related

AutoCAD Inventor :: ILogic Frame Generator Part Change

Oct 21, 2013

I'm slowly getting there with iLogic, so I'm really just looking for the function / call to change one part from Frame Generator, to another part from Frame Generator.

Product Design Suite Premium 2014
Inventor 2014 Professional
Windows 7 Professional 64 bit
Intel Xeon E3-1240 @ 3.4 ghz
Nvidia Quadro 600
8.00 gb RAM

View 2 Replies View Related

AutoCAD Inventor :: ILogic Change Parameter In Any Part That Is Not A Component

Oct 1, 2013

The commented code does not work. I want to be able to open a part and change its size parameters before i open the assembly. this code will run as an external rule in a new empty file. 

If i can do it without opening the part, that is even better. Test can I open a part, change a param, then close part.

Dim fname As String
fname ="C:Workspacemy_progchanF_BB_L.ipt"
Dim pDoc as PartDocument = ThisApplication.Documents.Open(fname,False)
pDoc  = ThisApplication.Documents.Open(fname)

These are just attempts to find a syntax that works. I need the method to change the parameter.

 'param = pDoc.PartComponentDefinition.Parameter.Param("TKNS")
 'pdoc.parameter.Param("TKNS") = 8
pdoc.Save
pdoc.Close

View 4 Replies View Related

AutoCAD Inventor :: ILogic Change Frame Generator Part

Dec 23, 2011

I'm using ilogic rules to customize an assembly generated by content center of frame generator. I would like replace the parts on my assembly when I change an assembly parameter multivalue.

View 4 Replies View Related

AutoCAD Inventor :: ILogic Driven Part Not Updating After Parameter Change

Jul 26, 2013

I have a flange that I use iLogic and the parameters list to update the different styles. My problem is that my flange won't update until after I hit save and update. My other square flange is not this way. As soon as I change the parameter in my square flange it immediately updates. Is there anyway I can get my round flange to update immediately like my square flange? I attached pictures below.

View 1 Replies View Related

AutoCAD Inventor :: Changing Positional Representation Of SubAssembly Using ILogic

Oct 11, 2011

The problem

- I have a top level assembly (lets call it '01.iam', which contains a range of subassemblies (e.g. '02.iam', '03.iam' etc)
- The subassemblies have positional representations
- I want to be able to manipulate the pos.rep's from the top level using iLogic. 

I found this snippet of code on the forum which works when I create the rule in one of the subassemblies. 
 
ThisApplication.ActiveDocument.ComponentDefinition.RepresentationsManager.PositionalRepresentations("MyPosRep").Activate

But I'm having trouble adapting it to work from the top level, as I would like all my rules saved in one place. 

View 4 Replies View Related

AutoCAD Inventor :: ILogic To Change Feature Occurrence Upon Opening Part By User

Jul 9, 2013

I downloaded a model off a website, it is, (excuse my electrical background ignorance) a jumper for terminal blocks.Our electricians use these and cut them down to size as needed.

Is there a way to use iLogic and a form or message box, to prompt upon opening the part as to how many jumpers are needed for the current assembly> It comes stock with 10, but they sometimes only use 2, 3 4 etc. etc..

I didn't model the part, but I can if it will make the rule easier to write.My idea I suppose was to have the part modeled with 2 jumpers and then use ilogic to create more if necessary.

View 4 Replies View Related

AutoCAD Inventor :: ILogic - Change Size Of Custom Content Center Part

May 10, 2013

I'm looking for a way to change the size of a custom content center part via ilogic. I found a way to replace them on this forum but this is not ideal for, because that creates a new part every time i change the size of the part.

View 2 Replies View Related

AutoCAD Inventor :: Using ILogic To Set Component Visibility Based On Positional Representation

May 30, 2013

what code I would use in an assembly if I want to enable and make visible certain parts depending on the positional rep I am using.

Basically I am having trouble reading the pos rep into an iLogic code

View 5 Replies View Related

AutoCAD Inventor :: ILogic Code To Change View Label Text

Sep 18, 2012

I am trying to rewrite Curtis Waguespack's ilogic code to modify drawing view labels from this post http: [URL]...

The completed label should appear like this

<Description> - Mk <Part Number>
Est Unit Mass = X kg
(Scale 1:1)

At this point I have 2 problems

1. I want to add the physical mass to the second line and would prefer to use the calculated physcial property rather than the a custom iproperty. If editing the view label, it would the property access under physcial properties.

2. I want to rewrite the code so it is selective or per view - in otherwords, I only want it to modify a single view I select once the code is run. At this point I know I need to remove the For loop but I dont have a clue as to how to make it selective.

'start of ilogic codeDim oDoc As DrawingDocument: oDoc = ThisDoc.DocumentoModel = ThisDoc.ModelDocumentDim oSheets As SheetsDim oSheet As SheetDim oViews As DrawingViewsDim oView As DrawingViewoSheets = oDoc.SheetsFor Each oSheet In oSheetsoViews = oSheet.DrawingViews For Each oView In oViews oView.ShowLabel = True

[Code] ......

View 5 Replies View Related

AutoCAD Inventor :: ILogic Rule To Change Drawing View Layer

Jul 22, 2013

I am trying to piece together some code for an ilogic rule. This rule should look for a drawing view that is a flat pattern, if it finds one it should change the object layer to our "CNC" layer.

View 3 Replies View Related

AutoCAD Inventor :: ILogic - Export Idw Part Data To Text File

Aug 7, 2013

We have an idw package we use for Quality control. This idw has more than one sheet. Each sheet has a part placed on the sheet with dims.( DWF attached). Next we open DA inside of the file and run a report. (exported txt attached). I am trying to use ilogic the make the same report with a iLogic browser button pick. I have 2 codes (code examples on attached jpg) that i need to make into 1, or whatever works.

1st code
Dim oDoc As DrawingDocumentoDoc = ThisApplication.ActiveDocument Dim oSubDoc As Inventor.Document Dim oPropSets As PropertySets Dim oPropSet As PropertySetDim oPartNumiProp As Inventor.Property For Each oSubDoc In oDoc.AllReferencedDocumentsIf oSubDoc.documenttype.
[code]....

 2nd code
fileheader = "QAF Parts for Planning "fileheader1 = ThisDoc.PathAndFileName(True) 'first line header of txt filedescription = "Components to use for Nesting" 'use this variable in the body of the txtdelimiter = "," 'character to separate the names and values on each lineoWrite = System.IO. File. Create Text (ThisDoc.PathAndFileName(False) & ".txt")oWrite.WriteLine(fileheader) 'include the fileheader on the first.
[code]....

View 4 Replies View Related

AutoCAD Inventor :: Suppress Pattern Occurrence In A Part File Using ILogic

Dec 8, 2011

I have set iLogic to change a rectangular pattern to a certain amount of occurrences depending on which is selected , i.e. 117 cavities, 140 cavities and 96 cavities. Only one is active (or unsuppressed ) at a time. 

What I need to do is suppress the 4 corners of each pattern, considering there's only one pattern and is dynamic.

View 2 Replies View Related

AutoCAD Inventor :: Derived Part From Assembly In Position Representation?

Jan 30, 2013

I have found an strange behaviour of derivin part from assembly when position repre is used.

There are lost or moved some part. It seems that this is another bug in Inventor 2013SP1.1. 

View 1 Replies View Related

AutoCAD Inventor :: Design View Representation

Aug 2, 2004

how do i unlock a design view representation when i can't find where it'slocked. I looked in the design view and i don't see a locked version, viewis listed as "none".

View 6 Replies View Related

AutoCAD Inventor :: View Representation Order

Aug 30, 2013

I'm working in ancient Inventor 2009 and I'm using view representations for all of my .ipn levels. I've accidentally skipped one step and would like to put it in the middle of the others. Is there a way to re-organize the representations. I've attached a picture. I need to insert a representation above the check marked one.

View 5 Replies View Related

AutoCAD Inventor :: View Representation Updates

Apr 30, 2012

I used to use "Level of detail" to hide components etc for detailing purposes. I now use "Representations" among a few customised views, I have a set search for fasteners.

Question: Is there a way to automate the search (Saved search) and then switch off the visibilty of the items? Preferably some iLogic code?

I have to run the search quite a few times during the design/detailing process, and sometimes things slip through the cracks, esp when I change fastners. (Note, All the fastners are extracted from the CC and saved with a new name and details.) It would be great to just run a rule.

Autodesk Product Design Suite Premium 2014 SP1 Build 222
Intel Core i7 (950@3.07GHz)
Windows 7x64 (Home) - 12GB Ram
Nvidia GeForce GTX 560 Ti (1Gig - Ver:331.65)

View 5 Replies View Related

AutoCAD Inventor :: Unlocking View Representation

Sep 19, 2011

I've looked and saw quite a few messeges on the same topic but couldn't find some good resolve : I'm in an assembly, trying to hide/supress some component, and it keeps saying that the view is locked (I do see "lock" logos on all the views) and I should unlock it or create a new one, which I don't want - I want the changes to be on the main "master" view)

How do I "unlock" or resolve it?Right clicking on the view doesn't give me any option to unlock it..

View 9 Replies View Related

AutoCAD Inventor :: Parts List Per View Representation?

Oct 3, 2012

I have a model of an enclosure created using Frame Generator.  I create a View Representation of each wall and the roof in order to create the fab drawings. Is there a way to create a Parts List ONLY what is visible in a particular View Representation?

Office Laptop specs:

- Inventor Professional 2012 (Autodesk Product Design Suite)
- Dell Precision M6600
- Intel i7-2960XM @ 2.70GHz
- 8GB RAM
- 128GB mSATA SSD (main)
- (2) 750GB drives (non-RAID)
- touchscreen display w/ pen
- Windows 7 Ultimate

Home Laptop specs:

- Dell XPS 17 (non-3D version)
- Intel i7 2nd gen
- 16GB RAM
- (2) 500GB drives (non-RAID)
- touchscreen display
- AutoCAD Mechanical 2008 (Retail License)
- entire Audodesk product line (Student Licenses)
- Google SketchUp 8 (Retail License)
- Blender
- Cinema 4D
- various other design software packages

View 1 Replies View Related

AutoCAD Inventor :: Design View Representation - Add Using IMates

Jun 17, 2013

Is there a secret to having the Design View Reps stay on the right settings when using Occurrences.AddUsingIMates? I've got a master top level assembly that I'm bringing other iLogic modules into by using an iLogic form in the master top level assembly. The form calls a rule that makes a copy of the module assembly in the same file location as the master TLA. It then adds the module TLA  to the master TLA using iMates, and calls an external rule to copy all the sub files from the module into that file location and replace them in the module TLA. The user then calls the module's configuration form using a button on the master TLA's form. 

I've been using a line of code to set the DVR back to default and associative for the module, but now that has stopped working and it immediately goes back to Master after running the rule, or even if I try and set it by hand. But if I bring the same module in and place it using the Place button, it comes in correctly. I've even added a NameValueMap for the DVR optional argument on AddUsingiMates and that hasn't work.

View 2 Replies View Related

AutoCAD Inventor :: Design View Representation Is Locked

Jul 30, 2012

I have a message pop up when i am trying to save an assembly. it is:

'The current Design View Representaion is locked. Changes againstit will not be saved. If you want to keep those changes please create a new Design View Representation or unlock the current one.'

View 1 Replies View Related

AutoCAD Inventor :: Representation View Lock Gone Automatically

Sep 14, 2011

I've noticed in inv.pro.2012 that after properly locking the link with representation view in idw, saving the files, and then after replacing a part in iam, some of my links in idw views are again unlocked (and I hope you know what that means for the drawing itself). I never had it in inv.pro.2010 and earlier versions.

View 5 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved